CascadingRuntimeException
Date: 2016-02-08

org.apache.avalon.framework

## Class CascadingRuntimeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.avalon.framework.CascadingRuntimeException

- All Implemented Interfaces:
    java.io.Serializable, CascadingThrowable

      public class CascadingRuntimeException
      extends java.lang.RuntimeException
      implements CascadingThrowable

  Class from which all exceptions should inherit. Allows recording of nested exceptions.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CascadingRuntimeException(java.lang.String message, java.lang.Throwable throwable)` Construct a new `CascadingRuntimeException` instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Throwable` | `getCause()` Retrieve root cause of the exception.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CascadingRuntimeException

          public CascadingRuntimeException(java.lang.String message,
                                   java.lang.Throwable throwable)

      Construct a new `CascadingRuntimeException` instance.
      Parameters:
        `message` - The detail message for this exception.
        `throwable` - the root cause of the exception

  - ### Method Detail

    - #### getCause

          public final java.lang.Throwable getCause()

      Retrieve root cause of the exception.
      Specified by:
        `getCause` in interface `CascadingThrowable`
      Overrides:
        `getCause` in class `java.lang.Throwable`
      Returns:
        the root cause